import type HasConditionData from "../Interfaces/HasConditionData";
import type Form from "../Form";
/**
 * Conditions class.
 *
 * @since 1.0.0
 */
export default class Conditions {
    readonly form: Form;
    readonly conditions: HasConditionData[];
    /**
     * Constuctor.
     *
     * @param form Form object.
     * @param conditions Conditions.
     *
     * @since 1.0.0
     */
    constructor(form: Form, conditions?: HasConditionData[]);
    /**
     * Checks if conditions are fullfilled.
     *
     * @returns True if fullfilled, false if not.
     *
     * @since 1.0.0
     */
    fullfilled(): boolean;
    /**
     * Filter compare value.
     *
     * This makes values like "undefined" possible.
     *
     * @param value Value to filter.
     * @returns Filtered value.
     *
     * @since 1.0.0
     */
    private filterCompareValue;
}
