import type Field from '../Field';
import type HasValidationData from '../Interfaces/HasValidationData';
/**
 * Validations class.
 *
 * @since 1.0.0
 */
export default class Validations {
    private field;
    private validations;
    private errors;
    /**
     * Constructor.
     *
     * @param value      A value which have to be validated.
     * @param validation Validation rules array.
     * @param required   Is value required or not.
     *
     * @since 1.0.0
     */
    constructor(field: Field, validations?: HasValidationData[]);
    /**
     * Doing check for given values.
     *
     * @since 1.0.0
     */
    validate(): string[];
    /**
     * Are there errors after validation?
     *
     * @returns True on errors, false if not.
     *
     * @since 1.0.0
     */
    hasErrors(): boolean;
    /**
     * Get errors after validation.
     *
     * @returns All errors.
     *
     * @since 1.0.0
     */
    getErrors(): string[];
}
