import Text from '../Components/Inputs/Text.svelte';
import Textarea from '../Components/Inputs/Textarea.svelte';
import Range from '../Components/Inputs/Range.svelte';
import Checkbox from '../Components/Inputs/Checkbox.svelte';
import ChoiceSelect from '../Components/Inputs/ChoiceSelect.svelte';
import ChoiceImage from '../Components/Inputs/ChoiceImage.svelte';
import ChoiceRadio from '../Components/Inputs/ChoiceRadio.svelte';
/**
 * Navigation class.
 *
 * @since 1.0.0
 */
export default class Registration {
    elements = [];
    /**
     * Constructor.
     *
     * @since 1.0.0
     */
    constructor() {
        this.registerDefaults();
    }
    /**
     * Add element to register
     *
     * @param name  Help data.
     *
     * @since 1.0.0
     */
    addElement(name, input) {
        this.elements[name] = input;
    }
    /**
     * Get a specific element.
     *
     * @param name Element name.
     *
     * @returns Svelte component element object.
     *
     * @since 1.0.0
     */
    getElement(name) {
        return this.elements[name];
    }
    /**
     * Register standard Elements.
     *
     * @since 1.0.0
     */
    registerDefaults() {
        this.addElement('text', Text);
        this.addElement('textarea', Textarea);
        this.addElement('range', Range);
        this.addElement('checkbox', Checkbox);
        this.addElement('choice-select', ChoiceSelect);
        this.addElement('choice-image', ChoiceImage);
        this.addElement('choice-radio', ChoiceRadio);
    }
}
